<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Admin</title>

    <script src="/static/vendor/jquery/jquery-3.2.1.min.js"></script>
    <script src="/static/js/bootstrap-colorselector.min.js"></script>
    <script src="/static/vendor/jquery/jquery-ui.js"></script>
    <script src="/static/js/user_account_id.js"></script>
    <script src="/static/js/schedule_subject.js"></script>

    <!-- Favicon -->
    <link rel="shortcut icon" href="/static/assets/images/favicon.ico" />

    <link rel="stylesheet" href="/static/assets/css/backend.css">
    <link rel="stylesheet" href="/static/assets/vendor/@fortawesome/fontawesome-free/css/all.min.css">
    <link rel="stylesheet" href="/static/assets/vendor/line-awesome/dist/line-awesome/css/line-awesome.min.css">
    <link rel="stylesheet" href="/static/assets/vendor/remixicon/fonts/remixicon.css">
    <link rel="stylesheet" href="/static/assets/vendor/@icon/dripicons/dripicons.css">
    <link rel='stylesheet' href='/static/assets/vendor/fullcalendar/core/main.css' />
    <link rel='stylesheet' href='/static/assets/vendor/fullcalendar/daygrid/main.css' />
    <link rel='stylesheet' href='/static/assets/vendor/fullcalendar/timegrid/main.css' />
    <link rel='stylesheet' href='/static/assets/vendor/fullcalendar/list/main.css' />
    <link rel="stylesheet" href="/static/assets/vendor/mapbox/mapbox-gl.css">
    <link rel="stylesheet" href="/static/css/bootstrap-colorselector.min.css">
    <link rel="stylesheet" href="/static/css/admin.css">
    <link rel="stylesheet" href="/static/vendor/jquery/jquery-ui.css"> 
    <link rel="stylesheet" href="/static/css/user_account_id.css"> 
</head>

<body class="noteplus-layout">
    <div id="modal_bg2" style="background-color: rgba(0,0,0,0.7); position: fixed;display:none;z-index: 9998; text-align: center;">
    </div>
    <div id="loading">
        <div id="loading-center">
        </div>
    </div>
    <div class="iq-sidebar sidebar-default">
        <div class="iq-sidebar-logo d-flex align-items-center justify-content-between">
            <a href="/" class="header-logo">
                <img src="/static/assets/images/logo.png" class="img-fluid rounded-normal light-logo" alt="logo">
            </a>
            <a href="/admin">
                <h4 class="logo-title ml-3">AD Admin</h4>
            </a>
            <div class="iq-menu-bt-sidebar">
                <i class="las la-times wrapper-menu"></i>
            </div>
        </div>

        <div class="data-scrollbar" data-scroll="1" data-scrollbar="true" tabindex="-1" style="overflow: hidden; outline: none;">
            <div class="scroll-content">
                <nav class="iq-sidebar-menu">
                    <ul id="iq-sidebar-toggle" class="iq-menu">
                        {% if role=='admin' %}
                        <li>
                            <a href="/admin" class="svg-icon">
                                <i>
                                    <svg class="svg-icon" id="iq-extra-1-9" xmlns="http://www.w3.org/2000/svg" width="20" viewBox="0 0 24 24" stroke-width="1.5" stroke="#2c3e50" fill="none" stroke-linecap="round" stroke-linejoin="round">
                                        <path stroke="none" d="M0 0h24v24H0z" fill="none" style="stroke-dasharray: 96, 116; stroke-dashoffset: 0;"></path>
                                        <path d="M9,7A3,3 0,1,1 15,7A3,3 0,1,1 9,7" style="stroke-dasharray: 19, 39; stroke-dashoffset: 0;"></path>
                                        <path d="M14,16A3,3 0,1,1 20,16A3,3 0,1,1 14,16" style="stroke-dasharray: 19, 39; stroke-dashoffset: 0;"></path>
                                        <path d="M4,16A3,3 0,1,1 10,16A3,3 0,1,1 4,16" style="stroke-dasharray: 19, 39; stroke-dashoffset: 0;"></path>
                                    </svg>
                                </i>
                                <span>Setup</span>
                            </a>
                        </li>
                        {% endif %}
                        <li>
                            <a href="/change_log/list" class="svg-icon">
                                <i>
                                    <svg class="svg-icon" id="iq-main-3" width="20" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                                        <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M9 5H7a2 2 0 00-2 2v12a2 2 0 002 2h10a2 2 0 002-2V7a2 2 0 00-2-2h-2M9 5a2 2 0 002 2h2a2 2 0 002-2M9 5a2 2 0 012-2h2a2 2 0 012 2m-3 7h3m-3 4h3m-6-4h.01M9 16h.01" style="stroke-dasharray: 74, 94; stroke-dashoffset: 0;"></path>
                                    </svg>
                                </i>
                                <span>Log</span>
                            </a>
                            <ul id="index" class="iq-submenu collapse" data-parent="#iq-sidebar-toggle">
                            </ul>
                        </li>

                        <li class>
                            <a href="/view" class="svg-icon">
                                <i>
                                    <svg class="svg-icon" id="iq-main-3" width="20" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                                        <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M9 5H7a2 2 0 00-2 2v12a2 2 0 002 2h10a2 2 0 002-2V7a2 2 0 00-2-2h-2M9 5a2 2 0 002 2h2a2 2 0 002-2M9 5a2 2 0 012-2h2a2 2 0 012 2m-3 7h3m-3 4h3m-6-4h.01M9 16h.01" style="stroke-dasharray: 74, 94; stroke-dashoffset: 0;"></path>
                                    </svg>
                                </i>
                                <span>Admin</span>
                            </a>
                            <ul id="index" class="iq-submenu collapse" data-parent="#iq-sidebar-toggle">
                            </ul>
                        </li>


                    </ul>
                </nav>
            </div>
        </div>
    </div>


    <div class="content-page">
        {% block content %} {% endblock %}
    </div>

    <footer class="iq-footer">
        <div class="container-fluid">
            <div class="row">
                <div class="col-lg-6">
                    <ul class="list-inline mb-0">
                        <li class="list-inline-item"><a href="../backend/privacy-policy.html">Privacy Policy</a></li>
                        <li class="list-inline-item"><a href="../backend/terms-of-service.html">Terms of Use</a></li>
                    </ul>
                </div>
                <div class="col-lg-6 text-right">
                    <button id="btn_logout" class="btn btn-link" style="padding-top: 0px; margin-top: 3px;">
                        <i class="las la-sign-out-alt font-size-20 mr-1"></i>
                        Log out
                    </button>
                    <span class="text-secondary mr-1"><script>document.write(new Date().getFullYear())</script>©</span> <a href="#" class="">Coraise</a>                
                </div>
            </div>
        </div>
    </footer>

    <!-- Backend Bundle JavaScript -->
    <script src="/static/assets/js/backend-bundle.min.js"></script>
    
    <!-- Flextree Javascript-->
    <script src="/static/assets/js/flex-tree.min.js"></script>
    <script src="/static/assets/js/tree.js"></script>
    
    <!-- Table Treeview JavaScript -->
    <script src="/static/assets/js/table-treeview.js"></script>
    
    <!-- Masonary Gallery Javascript -->
    <script src="/static/assets/js/masonry.pkgd.min.js"></script>
    <script src="/static/assets/js/imagesloaded.pkgd.min.js"></script>
    
    <!-- Mapbox Javascript -->
    <!-- <script src="static/assets/js/mapbox-gl.js"></script> -->
    <script src="/static/assets/js/mapbox.js"></script>
    
    <!-- Fullcalender Javascript -->
    <script src='/static/assets/vendor/fullcalendar/core/main.js'></script>
    <script src='/static/assets/vendor/fullcalendar/daygrid/main.js'></script>
    <script src='/static/assets/vendor/fullcalendar/timegrid/main.js'></script>
    <script src='/static/assets/vendor/fullcalendar/list/main.js'></script>
    
    <!-- SweetAlert JavaScript -->
    <script src="/static/assets/js/sweetalert.js"></script>
    
    <!-- Vectoe Map JavaScript -->
    <script src="/static/assets/js/vector-map-custom.js"></script>
    
    <!-- Chart Custom JavaScript -->
    <script src="/static/assets/js/customizer.js"></script>
    
    <!-- Chart Custom JavaScript -->
    <script src="/static/assets/js/chart-custom.js"></script>
    
    <!-- slider JavaScript -->
    <script src="/static/assets/js/slider.js"></script>
    
    <!-- app JavaScript -->
    <script src="/static/assets/js/app.js"></script>

</body>

<script>
    $(document).on("click", "#btn_logout", function(){
        $.ajax({
            url:'/log_out',
            type:'GET',
            success:function(result){
                location.reload('/admin');
            },
            error:function(result){
                alert("로그 아웃 실패.");
            }
        })
    });
</script>
</html>